Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FSDK.OptimizeScannedPDFSettings Class Reference

## Public Member Functions
| constructor ()
| Constructor.
| IsEmpty ()
| Check whether current object is empty or not. More...
| SetColorGrayImageCompressionMode (mode)
| Set compression mode used for optimizing color/gray images in the scanned PDF document. More...
| SetColorGrayImageCompressionQuality (quality)
| Set the quality for lossy compression modes, used for optimizing color/gray images in a scanned PDF document. More...
| SetMonoImageCompressionMode (mode)
| Set compression mode used for optimizing monochrome images in a scanned PDF document. More...
| SetOptimizedPages (pages)
| Set the pages which will be optimized. More...

## Static Public Attributes
static | e_ScannedImageCompressHigh
| Compression mode: high.
static | e_ScannedImageCompressjpeg
| Compression mode: jpeg.
static | e_ScannedImageCompressjpeg2000LossLess
| Compression mode: jpeg2000 lossless.
static | e_ScannedImageCompressjpeg2000Lossy
| Compression mode: jpeg2000 lossy.
static | e_ScannedMonoImageCompressCCITT4
| Compression mode: CCITT Group 4.
static | e_ScannedMonoImageCompressHigh
| Compression mode: high.
static | e_ScannedMonoImageCompressjbig2LossLess
| Compression mode: jbig2 lossless.
static | e_ScannedMonoImageCompressjbig2Lossy
| Compression mode: jbig2 lossy.

## Member Function Documentation

## ◆ IsEmpty()

FSDK.OptimizeScannedPDFSettings.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ SetColorGrayImageCompressionMode()

FSDK.OptimizeScannedPDFSettings.SetColorGrayImageCompressionMode | ( | mode |  | ) |

Set compression mode used for optimizing color/gray images in the scanned PDF document.

For a newly constructed object, if this function is not called to set option, that means to use FSDK.OptimizeScannedPDFSettings.e_ImageCompressjpeg as the default value of this option.

Parameters

  [in] | mode | Image compression mode. Please refer to values starting from FSDK.OptimizeScannedPDFSettings.e_ImageCompressjpeg and this should be one of these values.

Returns
  None.

## ◆ SetColorGrayImageCompressionQuality()

FSDK.OptimizeScannedPDFSettings.SetColorGrayImageCompressionQuality | ( | quality |  | ) |

Set the quality for lossy compression modes, used for optimizing color/gray images in a scanned PDF document.

For a newly constructed object, if this function is not called to set this option, that means to use 33 as the default value of this option.

Parameters

  [in] | quality | Quality value for lossy compression modes, the value must between 0 and 100.

Note
  This method only valid in FSDK.OptimizeScannedPDFSettings.e_ScannedImageCompressHigh and FSDK.OptimizeScannedPDFSettings.e_ScannedImageCompressjpeg compress mode

Returns
  None.

## ◆ SetMonoImageCompressionMode()

FSDK.OptimizeScannedPDFSettings.SetMonoImageCompressionMode | ( | mode |  | ) |

Set compression mode used for optimizing monochrome images in a scanned PDF document.

For a newly constructed object, if this function is not called to set option, that means to use FSDK.OptimizeScannedPDFSettings.e_ScannedMonoImageCompressjbig2Lossy as the default value of this option.

Parameters

  [in] | mode | Image compression mode. Please refer to values starting from FSDK.OptimizeScannedPDFSettings.e_ScannedMonoImageCompressjbig2Lossy and this should be one of these values.

Returns
  None.

## ◆ SetOptimizedPages()

FSDK.OptimizeScannedPDFSettings.SetOptimizedPages | ( | pages |  | ) |

Set the pages which will be optimized.

For a newly constructed object,if this function is not called. all pages will be optimized.

Parameters

  [in] | pages | The Specify pages, If pages doesn't not add pages index means all pages will be optimized.

Returns
  None.